package cn.estsh.i3plus.ext.mes.apiservice.controller.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesShippingOrderManagementService;
import cn.estsh.i3plus.ext.mes.apiservice.config.AuthUtilExt;
import cn.estsh.i3plus.ext.mes.pojo.constant.MesCommonConstant;
import cn.estsh.i3plus.platform.common.convert.ConvertBean;
import cn.estsh.i3plus.pojo.base.enumutil.ResourceEnumUtil;
import cn.estsh.i3plus.pojo.mes.bean.MesShippingOrderManagement;
import cn.estsh.impp.framework.boot.auth.AuthUtil;
import cn.estsh.impp.framework.boot.exception.ImppBusiException;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(description = "发运单管理主页面")
@RestController
@RequestMapping(MesCommonConstant.MES_YANFEN + "/mesShippingOrderManagement")

public class MesShippingOrderManagementController extends BaseMesController<MesShippingOrderManagement> {


    @Autowired
    private IMesShippingOrderManagementService shippingOrderManagementService;

    @PostMapping(value = "/shipping")
    @ApiOperation(value = "发运")
    public ResultBean<MesShippingOrderManagement> saveShipping(@RequestBody MesShippingOrderManagement bean) {
        try {
//            validateInsert(bean);
            //新增初始化
//            bean.setOrganizeCode("2031");
            bean.setOrganizeCode(AuthUtilExt.getOrganizeCode());
//            ConvertBean.serviceModelInitialize(bean, AuthUtil.getSessionUser().getUserName());
//            T t = (T) getBaseService().insert(bean);
            shippingOrderManagementService.saveShipping(bean);
//            afterInsert(t);
            return ResultBean.success("操作成功")
                    .setCode(ResourceEnumUtil.MESSAGE.SUCCESS.getCode())
                    .setResultObject(bean);
        } catch (ImppBusiException e) {
            return ResultBean.fail(e).build();
        } catch (Exception e) {
            return ResultBean.fail(e);
        }
    }

}
